<?php

namespace Service;


class TemplateJson {

    CONST DIR_VIEW_PROPERTY = '../json/viewProperty.json';
    CONST DIR_VIEW_TYPE = '../json/viewType.json';
    CONST DIR_DATABASE_OPTIONS = '../json/databaseOptions.json';

    public static function getViewProperty(){
        return json_decode(file_get_contents(self::DIR_VIEW_PROPERTY), true);
    }

    public static function findViewPropertyById($value,$index = '_id'){
        $viewPropertys = self::getViewProperty();
        foreach ($viewPropertys as $viewProperty){
            if(isset($viewProperty[$index]) && $viewProperty[$index] == $value){
                return $viewProperty;
            }
        }
        return null;
    }

    public static function findViewPropertyByIds($values,$index = '_id'){
        $viewPropertys = self::getViewProperty();
        $result = array();
        foreach ($viewPropertys as $viewProperty){
            if(isset($viewProperty[$index]) && in_array($viewProperty[$index],$values)){
                $result[] = $viewProperty;
            }
        }
        return $result;
    }

    public static function getViewType(){
        return json_decode(file_get_contents(self::DIR_VIEW_TYPE), true);
        //  return json_decode(file_get_contents('../json/viewTypeTest.json'), true);
    }

    public static function find($viewTypes,$value,$index = '_id'){
        foreach ($viewTypes as $viewType){
            if(isset($viewType[$index]) && $viewType[$index] == $value){
                return $viewType;
            }
        }
        return null;
    }

    public static function getViewTypeById($id){
        $viewTypes = json_decode(file_get_contents(self::DIR_VIEW_TYPE), true);
        return self::find($viewTypes,$id);
    }

    public static function getDatabaseOptions(){
        return json_decode(file_get_contents(self::DIR_DATABASE_OPTIONS), true);
    }
}
